/*
 * fxDice - A simple dice roller webapp.
 * Copyright (C) 2015 MiKael NAVARRO
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/* Global confirm */
"use strict";

(function() {
    var appCache = window.applicationCache;
    if (appCache) {
	appCache.onupdateready = function() {
	    if (confirm("The app has been updated.  Do you want to download the latest files? \nOtherwise they will be updated at the next reload.")) {
		location.reload(true);
	    }
	};
	var displayStatus = document.querySelector("#online-status");
	if (displayStatus) {
	    /* Using this, since navigator.onLine is very inconcistent and unreliable */
	    appCache.onerror = function() {
		displayStatus.className = "offline";
		displayStatus.title = "Offline";
	    };
	}
    }
})();
